<div
	class="relations-block {{::table.name}}"
	ng-repeat="table in vm.getTables() track by table.name"
	zs-case-relation-view-table="{{::table.name}}"
>
	<h3 class="title big-title-blue">{{::table.label}}</h3>

	<zs-table
		data-columns="table.columns"
		data-rows="table.items"
		use-href="table.href"
	></zs-table>

	<zs-object-suggest
		data-type="table.add.data.type"
		data-placeholder="{{table.add.data.placeholder}}"
		on-select="table.add.data.onSelect($object)"
		ng-if="table.add.type==='suggest'"
	>
	</zs-object-suggest>

	<ul class="collection-action-list"
		ng-show="table.collectionActions.length"
	>
		<li
			class="collection-action"
			ng-switch="action.type"
			ng-repeat="action in table.collectionActions"
		>
			<button
				type="button"
				class="btn btn-secondary"
				ng-click="action.data.click($event)"
				ng-switch-default
			>
				{{::action.data.label}}
			</button>

			<a
				class="btn btn-secondary"
				ng-href="{{::action.data.href}}"
				ng-switch-when="link"
			>
				{{::action.data.label}}
			</a>

		</li>

	</ul>	

	


</div>
